<%
	 if defined?(componentIndex) # Then we're working with a component
		 prefix = "component_#{componentIndex}_"
     htmlOpen = "<tr><td>%s</td><td><ul>"
     htmlClose = '</ul></td></tr>'
	 else # We're working with an object or collection
		 prefix = ''
		 htmlOpen = "<dt>%s</dt>"
     htmlOpen_l = '<ul><dd>'
		 htmlClose_l = '</ul></dd>'
	 end

     if defined?(@related_collections)
         if @related_collections.count > 0
             htmlOpen %= 'Collection'.pluralize(@related_collections.count)
             concat htmlOpen.html_safe
             @related_collections.sort.map do |collectionName, id|
                 concat htmlOpen_l.html_safe unless defined?(componentIndex)
 %>
                 <li>
                 <%= link_to( dams_collection_path(id) ) do %>
                     <%= collectionName %>
                 <% end %>
                 </li>
<%               concat htmlClose_l.html_safe unless defined?(componentIndex)
             end
             concat htmlClose.html_safe if defined?(componentIndex)
         end
     elsif !defined?(componentIndex) && !@linked_collections.nil? && @linked_collections.length.positive?
         htmlOpen %= 'Collection'.pluralize(@linked_collections.length)
         concat htmlOpen.html_safe

         @linked_collections.sort_by { |col| col['name'] }.each do |collection|
           collectionName = (collection['name'] == '') ? 'MISSING_COLLECTION_NAME' : collection['name'] # TEMP FIX FOR MISSING COLLECTION NAME
           thumb = collection['thumbnail']
           visibility = collection['visibility']

            concat htmlOpen_l.html_safe unless defined?(componentIndex)
%>
                <li>
                    <%= link_to( dams_collection_path(collection['id']) ) do %>
                        <%= collectionName %>
                    <% end %>
                </li>
<%          concat htmlClose_l.html_safe unless defined?(componentIndex)
          concat htmlClose.html_safe if defined?(componentIndex)
        end
    end
%>
